## view.xhtml
Class Form

    java.lang.Object
      view.xhtml.HtmlObject
          view.xhtml.HtmlElement
              view.xhtml.ContainerElement
                  view.xhtml.Form

Direct Known Subclasses:
  PostForm

    public class Form

extends ContainerElement

Nested Class Summary
`static class` `Form.SendMethod` An enumeration for possible values of the 'method' attribute.

Constructor Summary
`Form(java.lang.String action, Form.SendMethod method)` Constructs the element.

Method Summary

Methods inherited from class view.xhtml.ContainerElement
`add, add, getHtml, getHtml`

Methods inherited from class view.xhtml.HtmlElement
`getCloseTag, getCloseTag, getStartTag, getStartTag, setAttribute, setClass, setId, setName`

Methods inherited from class view.xhtml.HtmlObject
`getHtml, getIndent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Form

    public Form(java.lang.String action,
                Form.SendMethod method)

  Constructs the element.

  Parameters:
    `action` - a value for the 'action' attribute.
    `method` - a value for the 'method' attribute.